package com.goer.project.model.modelVersion.mapper;

import java.util.List;
import com.goer.project.model.modelVersion.domain.ModelVersion;
import org.springframework.stereotype.Repository;

/**
 * 模型对象版本号Mapper接口
 * 
 * @author goer
 * @date 2022-01-17
 */
@Repository
public interface ModelVersionMapper 
{
    /**
     * 查询模型对象版本号
     * 
     * @param id 模型对象版本号主键
     * @return 模型对象版本号
     */
    public ModelVersion selectModelVersionById(Long id);

    /**
     * 查询模型对象版本号列表
     * 
     * @param modelVersion 模型对象版本号
     * @return 模型对象版本号集合
     */
    public List<ModelVersion> selectModelVersionList(ModelVersion modelVersion);

    /**
     * 查询模型对象版本号列表(带变更明细)
     *
     * @param modelVersion 模型对象版本号
     * @return 模型对象版本号集合
     */
    public List<ModelVersion> selectModelVersionWithDetailList(ModelVersion modelVersion);

    /**
     * 新增模型对象版本号
     * 
     * @param modelVersion 模型对象版本号
     * @return 结果
     */
    public int insertModelVersion(ModelVersion modelVersion);

    /**
     * 修改模型对象版本号
     * 
     * @param modelVersion 模型对象版本号
     * @return 结果
     */
    public int updateModelVersion(ModelVersion modelVersion);

    /**
     * 删除模型对象版本号
     * 
     * @param id 模型对象版本号主键
     * @return 结果
     */
    public int deleteModelVersionById(Long id);

    /**
     * 删除
     *
     * @param projectId 模型对象id
     * @return 结果
     */
    public int deleteModelVersionByProjectId(Long projectId);

    /**
     * 批量删除模型对象版本号
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelVersionByIds(String[] ids);

    public int saveDataTypeVersion(ModelVersion modelVersion);
}
